API Reference
Add a new section to the outline
POST
header
AuthorizationBearer <token>Session JWT signed with HS256. Verification pins the algorithm and rejects expired tokens, per RFC8725.
briefId*stringBrief ID
domainId*unknownDomain ID
application/json- body
level*stringHeading level
Value in
"h2""h3"title*stringSection title
parentId?stringParent section ID for H3 sections
topicsToAddress?array<string>Topics to address in this section
expertInsights?stringExpert insights or quotes
instructions?stringAdditional writing instructions
Section created
application/json- response
id*stringSection ID
level*stringHeading level
Value in
"h2""h3"title*stringSection title
order*numberDisplay order
parentId?stringParent section ID for H3 sections
topicsToAddress*array<string>Topics to address
expertInsights?stringExpert insights
instructions?stringAdditional instructions
internalLinks?array<>Internal links for this section
curl -X POST 'https://api.getmint.ai/api/domains/{domainId}/content-briefs/string/document/sections' \ -H 'Content-Type: application/json' \ -d '{ "level": "h2", "title": "Finding your fit"}'{ "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "level": "h2", "title": "Finding your fit", "order": 1, "parentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "topicsToAddress": [ "gait analysis", "sizing" ], "expertInsights": "A podiatrist recommends getting fitted in the afternoon when feet are largest.", "instructions": "Keep this section under 250 words and include a bulleted checklist.", "internalLinks": [ { "url": "https://nike.com/running-guide", "anchorText": "our complete running guide" } ]}